# class IRB::Notifier::LeveledNotifier

A leveled notifier is comparable to the composite group from `CompositeNotifier#notifiers`.

### Attributes

level[R]

The current level of this notifier object

### Public Class Methods

new(base, level, prefix) click to toggle source

Create a new leveled notifier with the given `base`, and `prefix` to send to `AbstractNotifier.new`

The given `level` is used to compare other leveled notifiers in the `CompositeNotifier` group to determine whether or not to output notifications.

Calls superclass method `IRB::Notifier::AbstractNotifier::new`

    # File lib/irb/notifier.rb, line 190
    def initialize(base, level, prefix)
      super(prefix, base)

      @level = level
    end

### Public Instance Methods

<=>(other) click to toggle source

Compares the level of this notifier object with the given `other` notifier.

See the `Comparable` module for more information.

    # File lib/irb/notifier.rb, line 203
    def <=>(other)
      @level <=> other.level
    end

notify?() click to toggle source

Whether to output messages to the output method, depending on the level of this notifier object.

    # File lib/irb/notifier.rb, line 209
    def notify?
      @base_notifier.level >= self
    end